---
creation_rules:
  # Rule to encrypt YAML secret files in a specific directory
  - encrypted_regex: '^(data|stringData)$'  # Encrypt data and stringData by default (useful for Kubernetes secrets)
    path_regex: secrets/.*\.yaml$          # Applies to all files in the secrets/ directory
    age:
      - "age1ykcy2r4kk729e7adqxu8s24ujc60z5eux7ma0ca4ruzydwgm5p6qmdp838" # pc-user-doloro
      - "age1e6vws55p0g23qzthm4qa93hpt6lqmck6670gkygph0sc0j7my4uq5wqjfh" # pc-system
      - "age1x3lahhkefkap67cdmdjcqaxan9hp62er78akr79v9m73nvgugpeqk0y32a" # laptop-user-doloro
      - "age1exzngtk4d9vcsmcq6ap5xx3ca9qacqjkrv86ymged7msx9z6vfyqsf5sjq" # laptop-system
